Change log for p11-kit package in Ubuntu

146 of 46 results
Published in eoan-release on 2019-08-14
Deleted in eoan-proposed (Reason: moved to release)
p11-kit (0.23.16.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <email address hidden>  Wed, 14 Aug 2019 07:44:54 +0200

Available diffs

Superseded in eoan-release on 2019-08-14
Published in disco-release on 2019-02-16
Deleted in disco-proposed (Reason: moved to release)
p11-kit (0.23.15-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <email address hidden>  Sat, 16 Feb 2019 13:20:53 +0100

Available diffs

Superseded in disco-release on 2019-02-16
Published in cosmic-release on 2018-09-23
Deleted in cosmic-proposed (Reason: moved to release)
p11-kit (0.23.14-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <email address hidden>  Thu, 30 Aug 2018 19:26:37 +0200

Available diffs

Superseded in cosmic-release on 2018-09-23
Deleted in cosmic-proposed on 2018-09-24 (Reason: moved to release)
p11-kit (0.23.13-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <email address hidden>  Wed, 15 Aug 2018 11:06:36 +0200

Available diffs

Superseded in cosmic-release on 2018-08-15
Deleted in cosmic-proposed on 2018-08-17 (Reason: moved to release)
p11-kit (0.23.12-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <email address hidden>  Sat, 09 Jun 2018 19:41:35 +0200

Available diffs

Superseded in cosmic-release on 2018-06-10
Deleted in cosmic-proposed on 2018-06-11 (Reason: moved to release)
p11-kit (0.23.10-2) unstable; urgency=low

  * Upload to unstable.
  * Point Vcs* to salsa.

 -- Andreas Metzler <email address hidden>  Wed, 28 Mar 2018 19:29:26 +0200

Available diffs

Superseded in cosmic-release on 2018-05-05
Published in bionic-release on 2017-11-05
Deleted in bionic-proposed (Reason: moved to release)
p11-kit (0.23.9-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <email address hidden>  Sat, 14 Oct 2017 07:02:43 +0200

Available diffs

Superseded in bionic-release on 2017-11-05
Published in artful-release on 2017-07-15
Deleted in artful-proposed (Reason: moved to release)
p11-kit (0.23.7-3) unstable; urgency=low

  * 40_test-Fix-failure-on-32-bit-big-endian-platform.patch from upstream GIT:
    Fix test-error on 32-bit big endian platforms. Closes: #866764

 -- Andreas Metzler <email address hidden>  Fri, 14 Jul 2017 19:13:12 +0200

Available diffs

Superseded in artful-release on 2017-07-15
Deleted in artful-proposed on 2017-07-16 (Reason: moved to release)
p11-kit (0.23.7-2) unstable; urgency=low

  * libp11-kit0: Add Breaks: opencryptoki (<= 3.6.1+dfsg-1) to enforce upgrade
    of opencryptoki to a version without /etc/pkcs11 symlink to private
    directory. Closes: #860903
  * p11-kit-extract-trust was renamed to trust-extract-compat in 0.19.4, fix
    debian/p11-kit.examples.
  * Upload to unstable.

 -- Andreas Metzler <email address hidden>  Sat, 01 Jul 2017 13:40:07 +0200

Available diffs

Superseded in artful-release on 2017-07-02
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
p11-kit (0.23.3-5) unstable; urgency=medium

  * Drop 40_01_uri-fix-the-query-attribute-parsing.patch
    40_02_uri-fix-producing-the-query-attributes.patch
    40_03_uri-Avoid-typecasting-confusion-on-s390x.patch, again.
    Closes: #852227

 -- Andreas Metzler <email address hidden>  Sat, 28 Jan 2017 15:15:35 +0100

Available diffs

Superseded in zesty-release on 2017-01-29
Deleted in zesty-proposed on 2017-01-30 (Reason: moved to release)
p11-kit (0.23.3-4) unstable; urgency=medium

  * Add 40_03_uri-Avoid-typecasting-confusion-on-s390x.patch from
    https://github.com/p11-glue/p11-kit/pull/34 to fix testsuite error on
    s390x.

 -- Andreas Metzler <email address hidden>  Mon, 16 Jan 2017 18:56:54 +0100
Superseded in zesty-proposed on 2017-01-16
p11-kit (0.23.3-3) unstable; urgency=medium

  * 40_01_uri-fix-the-query-attribute-parsing.patch
    40_02_uri-fix-producing-the-query-attributes.patch from upstream GIT
    master.
  * Stop referencing upstream snapshot 0.23.2-50-geb391c0 in symbol file.

 -- Andreas Metzler <email address hidden>  Sun, 15 Jan 2017 16:14:36 +0100

Available diffs

Superseded in zesty-release on 2017-01-17
Deleted in zesty-proposed on 2017-01-18 (Reason: moved to release)
p11-kit (0.23.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <email address hidden>  Thu, 29 Dec 2016 15:59:00 +0100

Available diffs

Published in xenial-updates on 2016-09-06
Deleted in xenial-proposed (Reason: moved to -updates)
p11-kit (0.23.2-5~ubuntu16.04.1) xenial-proposed; urgency=medium

  * Backport to Ubuntu 16.04 LTS for improved manpages (LP: #1615449)
  * Don't enable hardening flags to keep this change minimal.

Superseded in zesty-release on 2016-12-30
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
p11-kit (0.23.2-5) unstable; urgency=medium

  * Build and ship upstream manpages. (Thanks, Julien Cristau)
    + Add b-d on gtk-doc-tools.
    + Pass --enable-doc to ./configure.
    + Drop minimal debian/p11-kit.1 manpage.
    Closes: #834992

 -- Andreas Metzler <email address hidden>  Sun, 21 Aug 2016 16:03:45 +0200

Available diffs

Superseded in yakkety-release on 2016-08-26
Deleted in yakkety-proposed on 2016-08-27 (Reason: moved to release)
p11-kit (0.23.2-4) unstable; urgency=medium

  * Move Vcs-* from git/http to https.
  * Improved package description by Justin B Rye. Closes: #822860
  * Build with hardening=+all.

 -- Andreas Metzler <email address hidden>  Sun, 31 Jul 2016 13:17:21 +0200

Available diffs

Superseded in yakkety-release on 2016-08-01
Published in xenial-release on 2015-12-28
Deleted in xenial-proposed (Reason: moved to release)
p11-kit (0.23.2-3) unstable; urgency=medium

  * Migrate from -dbg package to ddebs. dh_strip's --ddeb-migration
    option was added to debhelper/unstable with version 9.20150628, bump
    build-dependency accordingly.

 -- Andreas Metzler <email address hidden>  Sun, 27 Dec 2015 13:15:04 +0100

Available diffs

Superseded in xenial-release on 2015-12-28
Deleted in xenial-proposed on 2015-12-30 (Reason: moved to release)
p11-kit (0.23.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <email address hidden>  Sun, 20 Dec 2015 13:35:49 +0100

Available diffs

Superseded in xenial-release on 2015-12-21
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
p11-kit (0.23.1-3) unstable; urgency=medium

  * Build-fixes for hurd by Pino Toscano:
    + 30_nogetauxvalonbsd.diff: Always use _p11_getauxval() helper.
    + 35_hurd_enable_secure.diff: Disable __libc_enable_secure usage on Hurd.
    Closes: #792095

 -- Andreas Metzler <email address hidden>  Sat, 11 Jul 2015 11:53:04 +0200

Available diffs

Superseded in wily-release on 2015-07-11
Deleted in wily-proposed on 2015-07-13 (Reason: moved to release)
p11-kit (0.23.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <email address hidden>  Mon, 27 Apr 2015 07:48:19 +0200

Available diffs

Superseded in wily-release on 2015-05-06
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
p11-kit (0.20.7-1) unstable; urgency=medium


  * New upstream version.

 -- Andreas Metzler <email address hidden>  Fri, 19 Sep 2014 19:25:30 +0200

Available diffs

Superseded in vivid-release on 2014-10-25
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
p11-kit (0.20.2-5) unstable; urgency=medium


  [ Manuel A. Fernandez Montecelo ]
  * Build-Depend on and use dh-autoreconf to regenerate config.{sub,guess} and
    support new architectures more easily. Closes: #744400
    
  [ Andreas Metzler ]
  * Drop 31_autoreconf.diff, and change enable_locale.diff to patch
    configure.ac instead of configure.

 -- Andreas Metzler <email address hidden>  Sun, 13 Apr 2014 18:20:40 +0200
Superseded in utopic-release on 2014-04-28
Published in trusty-release on 2014-03-20
Deleted in trusty-proposed (Reason: moved to release)
p11-kit (0.20.2-2ubuntu2) trusty; urgency=medium

  * Add Breaks and Replaces for p11-kit-modules file move. (LP: #1295240)
 -- Iain Lane <email address hidden>   Thu, 20 Mar 2014 17:20:08 +0000

Available diffs

Superseded in trusty-release on 2014-03-20
Deleted in trusty-proposed on 2014-03-22 (Reason: moved to release)
p11-kit (0.20.2-2ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian, remaining changes:
    - Use dh-autoreconf
    - Update debian/patches/enable_locale.diff to act on configure.ac too.
      Thanks to Chris J Arges.

Superseded in trusty-release on 2014-03-20
Deleted in trusty-proposed on 2014-03-21 (Reason: moved to release)
p11-kit (0.20.2-1ubuntu2) trusty; urgency=medium

  * Build against libtasn1-6.
 -- Matthias Klose <email address hidden>   Thu, 27 Feb 2014 10:24:34 +0100

Available diffs

Superseded in trusty-release on 2014-02-27
Deleted in trusty-proposed on 2014-03-01 (Reason: moved to release)
p11-kit (0.20.2-1ubuntu1) trusty; urgency=low

  * Merge with Debian, remaining changes:
    - Build against libtasn1-3 rather than libtasn1-6 which is in universe.
      Can be dropped once main rdeps of libsan1-3 are ported.
    - Use dh-autoreconf
    - Update debian/patches/enable_locale.diff to act on configure.ac too.
      Thanks to Chris J Arges.

Available diffs

Superseded in trusty-release on 2014-02-20
Deleted in trusty-proposed on 2014-02-22 (Reason: moved to release)
p11-kit (0.20.1-2ubuntu1) trusty; urgency=low

  * Resynchronise on Debian, remaining changes:
    - Build against libtasn1-3 rather than libtasn1-6 which is in universe.
      Can be dropped once main rdeps of libsan1-3 are ported.
    - Use dh-autoreconf
  * Update debian/patches/enable_locale.diff to act on configure.ac too.
    Thanks to Chris J Arges.

Available diffs

Superseded in trusty-release on 2013-10-31
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
p11-kit (0.18.3-2ubuntu1) saucy; urgency=low

  * Resynchronise on Debian, remaining changes:
    - Build against libtasn1-3 rather than libtasn1-6 which is in universe.
      Can be dropped once main rdeps of libsan1-3 are ported.
    - Use dh-autoreconf
  * Update debian/patches/enable_locale.diff to act on configure.ac too.
    Thanks to Chris J Arges.

Superseded in saucy-proposed on 2013-06-27
p11-kit (0.18.1-1ubuntu2) saucy; urgency=low

  * Build using dh_autoreconf.
 -- Matthias Klose <email address hidden>   Mon, 10 Jun 2013 16:31:33 +0200

Available diffs

Superseded in saucy-release on 2013-06-27
Deleted in saucy-proposed on 2013-06-29 (Reason: moved to release)
p11-kit (0.18.1-1ubuntu1) saucy; urgency=low

  * Build against libtasn1-3 rather than libtasn1-6 which is in universe. Can
    be dropped once main rdeps of libsan1-3 are ported.
 -- Rico Tzschichholz <email address hidden>   Wed, 22 May 2013 11:42:50 +0200
Superseded in saucy-proposed on 2013-05-22
p11-kit (0.18.1-1) experimental; urgency=low


  * New upstream release.

 -- Andreas Metzler <email address hidden>  Sat, 20 Apr 2013 08:36:17 +0200
Superseded in saucy-release on 2013-05-22
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
p11-kit (0.14-1) experimental; urgency=low


  * New upstream version.
    + Drop 01_no_duplicate_symbols.patch.
    + Requires .module filename extension for module autoloading. This
      replaces Ubuntu's valid-config-files.patch, which blaclist .dpkg*
      instead of only whitelisting .module.

 -- Andreas Metzler <email address hidden>  Thu, 06 Sep 2012 19:35:07 +0200

Available diffs

Superseded in raring-release on 2013-01-25
Obsolete in quantal-release on 2015-04-24
p11-kit (0.13-1) experimental; urgency=low


  * New upstream version.
    + Drop patches previously pulled from upstream (10_broken-hashmap-behavior
      11_crash-when-duplicate).
  * Invoke dpkg-gensymbols with -c2.
  * Update symbols file, adding p11_kit_set_progname.
  * Pulled from upstream: 01_no_duplicate_symbols.patch, fixing a build error
    with clang.

 -- Andreas Metzler <email address hidden>  Tue, 17 Jul 2012 14:15:39 +0200
Superseded in quantal-release on 2012-07-29
p11-kit (0.12-3ubuntu1) quantal; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Add valid-config-files.patch, introducing a static function to
      validate config filenames against a sane pattern (LP #911436)
  * Drop duplicate-module-fix.patch, superseded by upstream fix.

Available diffs

Superseded in quantal-release on 2012-06-24
Published in precise-release on 2012-03-24
p11-kit (0.12-2ubuntu1) precise; urgency=low

  * Merge with Debian, bringing in upstream module and build fixes.
  * Add valid-config-files.patch, introducing a static function to
    validate config filenames against a sane pattern (LP: #911436)
  * Add duplicate-module-fix.patch, making sure that after we unload
    a duplicate module, we stop trying to reference it (LP: #911436)

Superseded in precise-release on 2012-03-24
p11-kit (0.10-1) unstable; urgency=low


  * New upstream version.
  * Drop 0001-workaround_gccbug.diff.

 -- Andreas Metzler <email address hidden>  Wed, 04 Jan 2012 19:35:00 +0100

Available diffs

Superseded in precise-release on 2012-01-16
p11-kit (0.9-3) unstable; urgency=low

  * Brown paper bag release.
  * Revert module-path change, gnome-keyring *has* switched.
    Closes: #653033, #653034

Available diffs

Superseded in precise-release on 2012-01-03
p11-kit (0.8-2) unstable; urgency=low


  * Build with -D_GNU_SOURCE on DEB_BUILD_ARCH_OS != linux. Works around
    647823 and Closes: #647229

 -- Andreas Metzler <email address hidden>  Sat, 12 Nov 2011 08:58:27 +0100

Available diffs

Superseded in precise-release on 2011-12-08
p11-kit (0.7-2ubuntu2) precise; urgency=low

  * debian/rules
    - dropped --with-module-path work around, we'll rebuild gnome-keyring
      to install it's module in the proper multiarch path
 -- Ken VanDine <email address hidden>   Wed, 09 Nov 2011 13:03:26 -0500

Available diffs

Superseded in precise-release on 2011-11-09
p11-kit (0.7-2ubuntu1) precise; urgency=low

  * debian/rules
    - Added --with-module-path to work around (LP: #828756)
 -- Ken VanDine <email address hidden>   Wed, 09 Nov 2011 11:50:44 -0500

Available diffs

Superseded in precise-release on 2011-11-09
p11-kit (0.7-2) unstable; urgency=low


  * 20_path_max.diff Fix FTBFS on GNU/Hurd due to missing PATH_MAX (Thanks,
    Pino Toscano). Closes: #643601

 -- Andreas Metzler <email address hidden>  Wed, 28 Sep 2011 19:22:40 +0200
Superseded in precise-release on 2011-10-19
Obsolete in oneiric-release on 2015-04-24
p11-kit (0.6-0ubuntu2) oneiric; urgency=low

  * debian/rules
    - Added --with-module-path to work around (LP: #828756)
 -- Ken VanDine <email address hidden>   Mon, 26 Sep 2011 13:40:28 -0400

Available diffs

Superseded in oneiric-release on 2011-09-27
p11-kit (0.6-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - Fix endless loop if module forks during initialization
    - Update PKCS#11 URI code for new draft of spec
    - Don't fail when duplicate modules are configured
    - Better debug output
    - Add example configuration documentation
    - Support whitespace in PKCS#11 URIs
    - Fix crasher in p11_kit_registered_modules()
    - Add 'critical' setting for modules, which defaults to 'no'
    - Fix initialization issues in the proxy module
    - Add concept of a default module directory from which modules with
      relative paths are loaded.
    - Renamed pkg-config variables to make it clearer what's what.
  * debian/libp11-kit0.symbols: Add the two new symbols from this release.
  * Add debian/watch.
 -- Martin Pitt <email address hidden>   Sun, 18 Sep 2011 14:41:55 +0200

Available diffs

Superseded in oneiric-release on 2011-09-18
Superseded in oneiric-release on 2011-08-12
p11-kit (0.3-0ubuntu1) oneiric; urgency=low

  * New upstream release
 -- Chris Coulson <email address hidden>   Wed, 10 Aug 2011 12:35:14 +0100

Available diffs

Superseded in oneiric-release on 2011-08-10
p11-kit (0.2-0ubuntu2) oneiric; urgency=low

  * Ship a symbols file
    - add debian/libp11-kit0.symbols
  * Ship the documentation
    - update debian/libp11-kit-dev.install
  * Fix a typo in debian/control
 -- Chris Coulson <email address hidden>   Thu, 28 Jul 2011 14:50:06 +0100

Available diffs

Superseded in oneiric-release on 2011-07-28
p11-kit (0.2-0ubuntu1) oneiric; urgency=low

  * Initial release
 -- Chris Coulson <email address hidden>   Thu, 28 Jul 2011 13:13:47 +0100
146 of 46 results